Programing > Programing/Blockly2014 > Build_Blockly-Games_for_Windows

This instruction is how to install and build Blockly-Games on Windows with Japanese coments.

ΥɥȤǤϡ WindowsBlockly-GamesƳ/ۤˡޤ

ӥɤˤϡWindows7Ȥޤɬפʥġ¿ˤ錄ޤ

ͥåȤĴ٤ɡѸǤۤȤɾ󤬸ĤʤäΤǡѸΥդƤޤ

2014-10-27

Dependencies ɬפʤ

Download

Download source of Blockly-Games. ɤɤޤ

Edit Makefile

change path from googlecode to github.

old

svn checkout http://blockly.googlecode.com/svn/trunk/core $(JS_READ_ONLY)/blockly/core
svn checkout http://blockly.googlecode.com/svn/trunk/blocks $(JS_READ_ONLY)/blockly/blocks
svn checkout http://blockly.googlecode.com/svn/trunk/generators $(JS_READ_ONLY)/blockly/generators
svn checkout http://blockly.googlecode.com/svn/trunk/msg/js $(JS_READ_ONLY)/blockly/msg-js

New

svn checkout https://github.com/google/blockly/trunk/core $(JS_READ_ONLY)/blockly/core
svn checkout https://github.com/google/blockly/trunk/blocks $(JS_READ_ONLY)/blockly/blocks
svn checkout https://github.com/google/blockly/trunk/generators $(JS_READ_ONLY)/blockly/generators
svn checkout https://github.com/google/blockly/trunk/msg/js $(JS_READ_ONLY)/blockly/msg-js

Build ӥ

Run these commands on Cygwin.

1.Build deps

cd blockly-games/
make deps

2.edit build.xml

If this works, great! But it will probably die with this error: ⤷⡢ʥ顼Ф

[javac] Compiling 375 source files to...

In this case you need to edit closure-templates-read-only/build.xm , and replace some text like this.

ξ硢closure-templates-read-only/build.xmԽơʲοִޤ

"1.6" -> "1.7"

It is depend JDK version, maybe.

֤JavaΥСˤäơѹѤ?

and run "make deps" again.

3.Build English

make en

Option. Build all Languages

Need many hours.

make languages

Option. Build one Game

make index-en
make puzzle-en
make maze-en
make bird-en
make turtle-en
make movie-en
make pond-docs-en
make pond-basic-en
make pond-advanced-en

Test Locally : ưǧ

 Open blockly-games/appengine/index.html?lang=en

Reference :


  ȥå   ʬ Хåå   ñ측 ǽ   إ   ǽRSS
Last-modified: 2017-06-24 () 23:59:07 (632d)